<div class="nav-container">
  <nav>
    <input type="checkbox" [(ngModel)]="checked" id="nav-toggle">
    <label for="nav-toggle" class="burger-menu pointer">
      <img
        src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADIAAAAyCAYAAAAeP4ixAAAABmJLR0QA/wD/AP+gvaeTAAAAVElEQVRoge3WwQ2AUAhEQb6xcK0ci5AEQmYq2L29CAAanMx8ukdUOJmZ3SMqXN0DqjgyzR0Rb/cIAKCIjJ9mTTQ6Mo2MB4BNZPw0a6LRkWlkPAB/fId1GBOc3m2dAAAAAElFTkSuQmCC">
    </label>
    <div class="left-menu">
      <a routerLink="home" (click)="hide()">Home</a>
      <a *ngIf="auth.loggedIn" routerLink="search" (click)="hide()">Search</a>
      <a class="pointer" (click)="backClick()">Back</a>
      <span>searches: {{counter}}</span>
    </div>
    <a href="#" class="logo"><img src="/assets/img/Spotify_Icon.png" width="30" height="30" alt=""> Music App</a>
    <div class="right-menu">
      <button (click)="auth.login()" *ngIf="!auth.loggedIn" class="btn btn-outline-success">Login</button>
      <button (click)="auth.logout()" *ngIf="auth.loggedIn" class="btn btn-outline-danger">Logout</button>
    </div>
  </nav>
</div>